unit CustomControl1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs;

type

  { TCustomControl1 }

  TCustomControl1 = class(TCustomControl)
  private
    FEigenschaft1: boolean;
    FEigenschaft2: boolean;

    procedure SetEigenschaft1(AValue: boolean);
    procedure SetEigenschaft2(AValue: boolean);


  protected

  public
   constructor Create(AOwner: TComponent); override;
  published
   property Eigenschaft1 : boolean read FEigenschaft1 write SetEigenschaft1 default true;
   property Eigenschaft2 : boolean read FEigenschaft2 write SetEigenschaft2 default false;

  end;

procedure Register;

implementation

procedure Register;
begin
  {$I customcontrol1_icon.lrs}
  RegisterComponents('Standard',[TCustomControl1]);
end;

{ TCustomControl1 }

procedure TCustomControl1.SetEigenschaft1(AValue: boolean);
begin
  if FEigenschaft1=AValue then Exit;
  FEigenschaft1:=AValue;
  if FEigenschaft1 then FEigenschaft2 := false else FEigenschaft2 := true;
end;

procedure TCustomControl1.SetEigenschaft2(AValue: boolean);
begin
  if FEigenschaft2=AValue then Exit;
  FEigenschaft2:=AValue;
  if FEigenschaft2 then FEigenschaft1 := false else FEigenschaft1 := true;
end;

constructor TCustomControl1.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FEigenschaft1:= true;
  FEigenschaft2:= false;
end;

end.
